from django.db import connection
from reinhardt.models import MusicFile
from .stopwords import stopwords
from typing import List


def filter_stopwords(terms: str, lang="en") -> List[str]:
    wrds = []
    for wrd in terms.replace("'", " ").replace("’", " ").split():
        if wrd not in stopwords.get(lang, []):
            wrds.append(wrd)
    return wrds


def fts_escape(user_input: str) -> str:
    return user_input.replace('"', " ").replace("'", " ")
    user_input = " ".join(filter_stopwords(user_input))
    if not user_input.strip():
        return ""
    wrds = []
    for wrd in user_input.split(" "):
        wrds.append('"' + wrd.replace('"', '""') + '"')
    out = " ".join(wrds)
    print(out)
    return out


with connection.cursor() as cursor:
    cursor.execute("PRAGMA journal_mode = WAL")
    cursor.execute(
        "CREATE VIRTUAL TABLE IF NOT EXISTS music_index USING fts5(id, data, artist, title, album, genre, comment);"
    )


def fts_index_music_files():
    with connection.cursor() as cursor:
        cursor.execute("delete from music_index;")
        for music_file in MusicFile.objects.all():
            cursor.execute(
                "INSERT INTO music_index(id, data, artist, title, album, genre, comment) values(%s,%s,%s,%s,%s,%s,%s)",
                (
                    music_file.id,
                    music_file.fts_data(),
                    music_file.artist,
                    music_file.title,
                    music_file.album,
                    music_file.genre,
                    music_file.comment,
                ),
            )
