from django.core.management.base import BaseCommand
from reinhardt.models import MusicFile
import csv
import os


class Command(BaseCommand):
    def add_arguments(self, parser):
        parser.add_argument("csv_file_output", type=str)

    def handle(self, *args, **options):
        csv_file_output = os.path.abspath(os.path.normpath(options["csv_file_output"]))
        with open(csv_file_output, "w", newline="") as csvfile:
            writer = csv.writer(csvfile)
            writer.writerow(["path", "artist", "title", "album", "genre"])
            for f in MusicFile.objects.order_by(
                "artist", "album", "title", "track_number"
            ):
                writer.writerow([f.full_path(), f.artist, f.title, f.album, f.genre])
