from django.urls import path, include
from reinhardt import views
from django.conf import settings

urlpatterns = [
    path(f"{settings.URL_PREFIX}", views.index, name="index"),
    path(f"{settings.URL_PREFIX}search/", views.search, name="search"),
    path(f"{settings.URL_PREFIX}artists/", views.artists, name="artists"),
    path(f"{settings.URL_PREFIX}genres/", views.genres, name="genres"),
    path(f"{settings.URL_PREFIX}tags/", views.tags, name="tags"),
    path(f"{settings.URL_PREFIX}tag/", views.tag, name="tag"),
    path(
        f"{settings.URL_PREFIX}music_file_tagger/",
        views.music_file_tagger,
        name="music_file_tagger",
    ),
    path(f"{settings.URL_PREFIX}artist/", views.artist, name="artist"),
    path(f"{settings.URL_PREFIX}genre/", views.genre, name="genre"),
    path(f"{settings.URL_PREFIX}album/", views.album, name="album"),
    path(f"{settings.URL_PREFIX}queue/", views.queue, name="queue"),
    path(f"{settings.URL_PREFIX}clear_queue/", views.clear_queue, name="clear_queue"),
    path(
        f"{settings.URL_PREFIX}remove_from_queue/",
        views.remove_from_queue,
        name="remove_from_queue",
    ),
    path(
        f"{settings.URL_PREFIX}reorder_queue/",
        views.reorder_queue,
        name="reorder_queue",
    ),
    path(
        f"{settings.URL_PREFIX}activate_autofeed/",
        views.activate_autofeed,
        name="activate_autofeed",
    ),
    path(
        f"{settings.URL_PREFIX}deactivate_autofeed/",
        views.deactivate_autofeed,
        name="deactivate_autofeed",
    ),
    path(f"{settings.URL_PREFIX}invite/", views.invite, name="invite"),
    path(f"{settings.URL_PREFIX}favorites/", views.favorites, name="favorites"),
    path(f"{settings.URL_PREFIX}add_to_tag/", views.add_to_tag, name="add_to_tag"),
    path(f"{settings.URL_PREFIX}toggle_tag/", views.toggle_tag, name="toggle_tag"),
    path(f"{settings.URL_PREFIX}next_song/", views.next_song, name="next_song"),
    path(
        f"{settings.URL_PREFIX}rename_tag/<int:tag_id>",
        views.rename_tag,
        name="rename_tag",
    ),
    path(
        f"{settings.URL_PREFIX}music_file_dropdown/",
        views.music_file_dropdown,
        name="music_file_dropdown",
    ),
    path(
        f"{settings.URL_PREFIX}remove_from_tag/",
        views.remove_from_tag,
        name="remove_from_tag",
    ),
    path(f"{settings.URL_PREFIX}accounts/", include("django.contrib.auth.urls")),
    path(
        f"{settings.URL_PREFIX}download/<int:music_file_id>/<str:clean_file_name>",
        views.serve_music_file,
        name="download_music_file",
    ),
]


if settings.USE_DJANGO_ADMIN:
    from django.contrib import admin

    urlpatterns.append(path(f"{settings.URL_PREFIX}admin/", admin.site.urls))
